Subject: Re: bug#15746: 24.3; [PATCH] bookmark should confirm when overwrite

From: Stefan Monnier <[email-masked]>
Date: Tue, 29 Oct 2013 22:11:49 -0400

>> I think most users would expect that that *interactively* setting a
>> bookmark would confirm when overriding a previous bookmark of the
>> same name, instead of just silently overwriting it.
> There are plenty of use cases where you want to silently *update* an
> existing bookmark, e.g., update its location.

How 'bout the following:
- change bookmark-set to emit a clear message when it updates an
  existing message, as well as recording the previous value somewhere.
- provide a bookmark-undo command so the user can undo his
  bookmark-set when he discovers that he has just changed an existing
  bookmark by mistake.
This way, we avoid prompting Drew annoyingly when he knows full well
he's updating the bookmark.
Leo, would that be sufficient to avoid the regrets, or did you realize
too late for a bookmark-undo to be of any use?

        Stefan